#!/sbin/sh

TMP_DIR=/tmp/DataOnSD
SYS_DEV=/dev/block/platform/msm_sdcc.1/by-name/system

SYS_BIN=$TMP_DIR/bin
BIN_FILE=$SYS_BIN/vold
BIN_ORIG=$BIN_FILE-original

EXIT_CODE=1
mkdir $TMP_DIR
mount -t ext4 -o rw $SYS_DEV $TMP_DIR
if [[ "$?" = "0" ]]; then
  if [[ -f $BIN_FILE ]] && [[ -f $BIN_ORIG ]]; then
    rm $BIN_FILE
    mv $BIN_ORIG $BIN_FILE
    EXIT_CODE=0
  fi
  umount $TMP_DIR
fi
rmdir $TMP_DIR
exit $EXIT_CODE
